BlockOperations.Kind (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.impl.prefetch, class: BlockOperations, enum: Kind

Package org.apache.hadoop.fs.impl.prefetch

# Enum Class BlockOperations.Kind

java.lang.Object
java.lang.Enum<BlockOperations.Kind>
org.apache.hadoop.fs.impl.prefetch.BlockOperations.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<BlockOperations.Kind>`, `Constable`

Enclosing class:
  BlockOperations

public static enum BlockOperations.Kind extends Enum<BlockOperations.Kind>
Operation kind.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CACHE_PUT`
  `CANCEL_PREFETCHES`
  `CLOSE`
  `GET_CACHED`
  `GET_PREFETCHED`
  `GET_READ`
  `PREFETCH`
  `RELEASE`
  `REQUEST_CACHING`
  `REQUEST_PREFETCH`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BlockOperations.Kind`
  `fromShortName(String shortName)`
  `static BlockOperations.Kind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BlockOperations.Kind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final BlockOperations.Kind UNKNOWN

  - ### CANCEL_PREFETCHES

    public static final BlockOperations.Kind CANCEL_PREFETCHES

  - ### CLOSE

    public static final BlockOperations.Kind CLOSE

  - ### CACHE_PUT

    public static final BlockOperations.Kind CACHE_PUT

  - ### GET_CACHED

    public static final BlockOperations.Kind GET_CACHED

  - ### GET_PREFETCHED

    public static final BlockOperations.Kind GET_PREFETCHED

  - ### GET_READ

    public static final BlockOperations.Kind GET_READ

  - ### PREFETCH

    public static final BlockOperations.Kind PREFETCH

  - ### RELEASE

    public static final BlockOperations.Kind RELEASE

  - ### REQUEST_CACHING

    public static final BlockOperations.Kind REQUEST_CACHING

  - ### REQUEST_PREFETCH

    public static final BlockOperations.Kind REQUEST_PREFETCH

- ## Method Details

  - ### values

    public static BlockOperations.Kind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BlockOperations.Kind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromShortName

    public static BlockOperations.Kind fromShortName(String shortName)